aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-file-rsync/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-03-02 10:14:13 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-03-02 10:14:13 +0000
commit0b1f1a950efe75a977d42cc05488816da0cce3c4 (patch)
tree42cb2cb36f076d86ce7347811f1e0b6057f7696d /main/perl-file-rsync/APKBUILD
parent9a0c738a493841c30e537851f238c22b0826a2d6 (diff)
downloadaports-0b1f1a950efe75a977d42cc05488816da0cce3c4.tar.gz
aports-0b1f1a950efe75a977d42cc05488816da0cce3c4.tar.bz2
aports-0b1f1a950efe75a977d42cc05488816da0cce3c4.tar.xz
main/perl-file-rsync: parallel build fix
Diffstat (limited to 'main/perl-file-rsync/APKBUILD')
-rw-r--r--main/perl-file-rsync/APKBUILD13
1 files changed, 10 insertions, 3 deletions
diff --git a/main/perl-file-rsync/APKBUILD b/main/perl-file-rsync/APKBUILD
index 11500774a4..700e3eeef7 100644
--- a/main/perl-file-rsync/APKBUILD
+++ b/main/perl-file-rsync/APKBUILD
@@ -11,14 +11,20 @@ depends="perl"
makedepends="perl-dev"
install=
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/$_realname-$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/$_realname-$pkgver.tar.gz
+perl-file-rsync-parallell-build-fix.patch"
_builddir="$srcdir/$_realname-$pkgver"
+prepare() {
+ cd $_builddir
+ patch -p1 <../perl-file-rsync-parallell-build-fix.patch || return 1
+}
+
build() {
cd $_builddir
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- make || return 1
+ make config && make || return 1
}
package() {
@@ -28,4 +34,5 @@ package() {
find "$pkgdir" -name perllocal.pod -delete
}
-md5sums="ed47c5ef7ff835415692f18137cb0cf9 File-RsyncP-0.68.tar.gz"
+md5sums="ed47c5ef7ff835415692f18137cb0cf9 File-RsyncP-0.68.tar.gz
+402df47ad01369de0ffc75754529d6e4 perl-file-rsync-parallell-build-fix.patch"